#!/bin/sh

if grep "thor:x:500:500" etc/passwd 1> /dev/null 2> /dev/null ; then
  true
else
    echo "thor:x:500:500::/thor:/bin/false" >> /etc/passwd
fi

if grep "thor:x:500" etc/group 1> /dev/null 2> /dev/null ; then
  true
else
   echo "thor:x:500:thor" >> etc/group
fi

if grep "thor:*:9797:0" etc/shadow 1> /dev/null 2> /dev/null ; then
  true
else
   echo "thor:*:9797:0:::::" >> etc/shadow
fi

if grep "/etc/rc.d/rc.thor start" etc/rc.d/rc.local 1> /dev/null 2> /dev/null ; then
  true
else
   echo "/etc/rc.d/rc.thor start" >>/etc/rc.d/rc.local
fi
if grep "include /thor/logrotate.d" etc/logrotate.conf 1> /dev/null 2> /dev/null ; then
  true
else
  echo "include /thor/logrotate.d" >>/etc/logrotate.conf
  echo "" >>/etc/logrotate.conf
fi    
if grep "/thor/lib" etc/ld.so.conf 1> /dev/null 2> /dev/null ; then
  true
else
  echo "/thor" >>/etc/ld.so.conf
  echo "/thor/lib" >>/etc/ld.so.conf
  echo "" >>/etc/ld.so.conf
fi 
/sbin/ldconfig
/usr/bin/chown thor:root /thor -R
/usr/bin/chown root:root /thor/bin/router-wrapper
/usr/bin/chmod +s /thor/bin/router-wrapper
echo 
echo "1.Configure the software";
echo "    change path to /thor/conf and edit the files";
echo "    router ports has some default ports added 22 for ssh 8450 for thor-auth added on the internal ethernet";
echo "    and 8449 added on the ethernet that is part of the DMZ network";
echo "2.Add the thor-router in the thor panel system after all configuration is done reboot your system.";
echo		
echo		
echo "For any bugs or problems using this software please contact support@thorpanel.com";
echo "Thor Panel System";
echo "http://www.thorpanel.com";
echo
echo "Thor installed";
echo "Please check the configuration files in /thor/conf";( cd thor/lib ; rm -rf libmcrypt.so.4 )
( cd thor/lib ; rm -rf libmcrypt.so.4 )
( cd thor/lib ; ln -sf libmcrypt.so.4.4.7 libmcrypt.so.4 )
( cd thor/lib ; rm -rf libmhash.so.2 )
( cd thor/lib ; ln -sf libmhash.so.2.0.0 libmhash.so.2 )
( cd thor/lib ; rm -rf libmysqlclient.so.14 )
( cd thor/lib ; ln -sf libmysqlclient.so.14.0.0 libmysqlclient.so.14 )
( cd thor/lib ; rm -rf libmysqlclient_r.so.14 )
( cd thor/lib ; ln -sf libmysqlclient_r.so.14.0.0 libmysqlclient_r.so.14 )
( cd thor/lib ; rm -rf libmcrypt.so )
( cd thor/lib ; ln -sf libmcrypt.so.4.4.7 libmcrypt.so )
( cd thor/lib ; rm -rf libmhash.so )
( cd thor/lib ; ln -sf libmhash.so.2.0.0 libmhash.so )
( cd thor/lib ; rm -rf libmysqlclient.so )
( cd thor/lib ; ln -sf libmysqlclient.so.14.0.0 libmysqlclient.so )
( cd thor/lib ; rm -rf libmysqlclient_r.so )
( cd thor/lib ; ln -sf libmysqlclient_r.so.14.0.0 libmysqlclient_r.so )
( cd thor/lib ; rm -rf libapr-0.so.0 )
( cd thor/lib ; ln -sf libapr-0.so.0.9.6 libapr-0.so.0 )
( cd thor/lib ; rm -rf libapr-0.so )
( cd thor/lib ; ln -sf libapr-0.so.0.9.6 libapr-0.so )
( cd thor/lib ; rm -rf libaprutil-0.so.0 )
( cd thor/lib ; ln -sf libaprutil-0.so.0.9.6 libaprutil-0.so.0 )
( cd thor/lib ; rm -rf libaprutil-0.so )
( cd thor/lib ; ln -sf libaprutil-0.so.0.9.6 libaprutil-0.so )
